Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt.extensions
Class RowSetLocator

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.SimpleNodeLocator
            |
            +--weblogic.apache.xalan.xslt.extensions.RowSetLocator

public class RowSetLocator
extends SimpleNodeLocator

RowSetLocator uses JDBC to connect to a database, execute a query, and return a result set, then returns a lazy row-set DOM. This class can ONLY be used with the Xerces liaison (weblogic.apache.xalan.xpath.xdom.XercesLiaison) and Xerces XML parser, since it extends the Xerces DOM implementation to create a lazy row-set DOM.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.sql.Connection` | `m_connection` The JDBC connection.
`java.lang.String` | `m_dbURL` A database URL of the form jdbc:subprotocol:subname.
`java.lang.String` | `m_driver` A JDBC driver of the form "foo.bar.Driver".
`java.lang.String` | `m_password` Password
`java.lang.String` | `m_userID` User ID

Constructor Summary
`RowSetLocator(java.lang.String driver, java.lang.String dbURL)` Create a SimpleNodeLocator object.

Method Summary
`static XLocator` | `connect(java.lang.String driver, java.lang.String dbURL, java.lang.String sqlQuery)` Execute the proprietary connect() function, which returns an instance of XLocator.
`XNodeSet` | `connectToNodes(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector connectArgs)` Execute a connection and process the LocationPath, The arguments to the static connect function are re-passed to this function.
`static void` | `protocol(XSLProcessorContext context, ElemExtensionCall protocolElem)` A list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included.

Methods inherited from class weblogic.apache.xalan.xpath.SimpleNodeLocator
`connect, doPredicate, factory, findAncestors, findAncestorsOrSelf, findAttributes, findChildren, findDescendants, findFollowing, findFollowingSiblings, findNamespace, findNodeSet, findNodesOnUnknownAxis, findParent, findPreceding, findPrecedingSiblings, findRoot, findSelf, getDefaultLocator, locationPath, locationPathPattern, nodeTest, predicate, predicates, query, step, stepPattern, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_driver

    public java.lang.String m_driver

  A JDBC driver of the form "foo.bar.Driver".

### m_dbURL

    public java.lang.String m_dbURL

  A database URL of the form jdbc:subprotocol:subname.

### m_userID

    public java.lang.String m_userID

  User ID

### m_password

    public java.lang.String m_password

  Password

### m_connection

    public java.sql.Connection m_connection

  The JDBC connection.

Constructor Detail

### RowSetLocator

    public RowSetLocator(java.lang.String driver,
                         java.lang.String dbURL)

  Create a SimpleNodeLocator object.

Method Detail

### protocol

    public static void protocol(XSLProcessorContext context,
                                ElemExtensionCall protocolElem)

  A list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included.

### connect

    public static XLocator connect(java.lang.String driver,
                                   java.lang.String dbURL,
                                   java.lang.String sqlQuery)

  Execute the proprietary connect() function, which returns an instance of XLocator. When the XPath object sees a return type of XLocator, it calls the locationPath function that passes in the connectArgs. The opPos and args params are not used by this function. This really is just a factory function for the XLocator instance, but this fact is hidden from the user.

  Parameters:
    `driver` - JDBC driver.
    `dbURL` - database URL of the form jdbc:subprotocol:subname.
    `sqlQuery` - typically a static SQL SELECT statement, which is normally executed by the connectToNodes function when called by the XPath object.

### connectToNodes

    public XNodeSet connectToNodes(XPath xpath,
                                   XPathSupport execContext,
                                   org.w3c.dom.Node context,
                                   int opPos,
                                   java.util.Vector connectArgs)

  Execute a connection and process the LocationPath, The arguments to the static connect function are re-passed to this function.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `connectArgs` - The same arguments that were passed to the static connect function.
  Overrides:
    connectToNodes in class SimpleNodeLocator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD